Skip to main content
`Ctrl`+`K`

# DMMoabVecRestoreArray

Restores the writable direct access array obtained via DMMoabVecGetArray

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabVecRestoreArray(DM dm, Vec vec, void *array)

Collective

## Input Parameters

- dm - The DMMoab object being set

- vec - The Vector whose underlying data is requested

- array - The local data array

## See Also

`DMMoabVecGetArray()`, `DMMoabVecGetArrayRead()`, `DMMoabVecRestoreArrayRead()`

## Level

intermediate

## Location

src/dm/impls/moab/dmmbvec.cxx

## Examples

src/ts/tutorials/ex35.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages